Veeam Backup for Office 365 Recovery Fails with Incompatible Version Error

Error: Incompatible Veeam Backup for Office 365 server version (received 9.#.#, expected 9.#.#)

A small issue was discovered when installing the latest versions of Veeam Backup and Recovery (B&R) and Veeam Backup for Office 365 (VBO) on the same backup server. If you install/update VBO v3 or later first and then install/update Veeam B&R, you could very well encounter the error below when attempting to recover a mail item in VBO:

Error: Incompatible Veeam Backup for Office 365 server version (received: 9.6.5.422 expected: 9.6.4.1053


Basically, the version of Veeam Explorer for Exchange installed with B&R (at this writing, 9.5U4b) installs a version of the explorer that is just slightly older than the version VOB v.3 is expecting. And for some reason, B&R sometimes installs the older version over the newer version!

Solution: In the ZIP file that the VOB installers are contained in, also hold two MSI files for the Exchange and Sharepoint Explorers. Rerun BOTH MSI installers, then reopen VOB and confirm the error is gone. In the future, if you plan on installing B&R and VOB on the same server, ALWAYS update B&R first, then VOB.

About: Adam


Leave a Reply

Your email address will not be published.